All Collections
iOS minimum version update
What should I do if my Apple device doesn’t support iOS 14?
What should I do if my Apple device doesn’t support iOS 14?
Hello GetGo avatar
Written by Hello GetGo
Updated over a week ago

We’ll be updating our minimum supported iOS version to iOS 14 to take advantage of the latest features, security enhancements, and optimisations provided by Apple. This will ensure a better user experience and compatibility with newer devices and operating system capabilities.

To continue using our app with our latest feature updates, please update to iOS 14. Alternatively, you may use a newer device that supports iOS 14 and above.

If you have an existing booking and require help, please contact us via Live Chat — our Support team is online 24/7 to serve you.

If you have an existing booking and require assistance, please contact us via Live Chat.

Useful Links:

Did this answer your question?